Skip to main content
GET
/
transactions
cURL
curl https://api.goshippo.com/transactions/ \
  -H "Authorization: ShippoToken <API_TOKEN>"
import shippo
from shippo.models import components, operations

s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)


res = s.transactions.list(request=operations.ListTransactionsRequest(
object_status=components.TransactionStatusEnum.SUCCESS,
tracking_status=components.TrackingStatusEnum.DELIVERED,
))

if res is not None:
# handle response
pass
import { Shippo } from "shippo";

const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});

async function run() {
const result = await shippo.transactions.list({
objectStatus: "SUCCESS",
trackingStatus: "DELIVERED",
});

// Handle the result
console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Shippo\API;
use Shippo\API\Models\Components;
use Shippo\API\Models\Operations;

$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();

$request = new Operations\ListTransactionsRequest(
objectStatus: Components\TransactionStatusEnum::Success,
trackingStatus: Components\TrackingStatusEnum::Delivered,
);

$response = $sdk->transactions->list(
request: $request
);

if ($response->transactionPaginatedList !== null) {
// handle response
}
using Shippo;
using Shippo.Models.Components;
using Shippo.Models.Requests;

var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);

ListTransactionsRequest req = new ListTransactionsRequest() {
ObjectStatus = TransactionStatusEnum.Success,
TrackingStatus = TrackingStatusEnum.Delivered,
};

var res = await sdk.Transactions.ListAsync(req);

// handle response
package hello.world;

import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.components.TrackingStatusEnum;
import com.goshippo.shippo_sdk.models.components.TransactionStatusEnum;
import com.goshippo.shippo_sdk.models.operations.ListTransactionsRequest;
import com.goshippo.shippo_sdk.models.operations.ListTransactionsResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();

ListTransactionsRequest req = ListTransactionsRequest.builder()
.objectStatus(TransactionStatusEnum.SUCCESS)
.trackingStatus(TrackingStatusEnum.DELIVERED)
.build();

ListTransactionsResponse res = sdk.transactions().list()
.request(req)
.call();

if (res.transactionPaginatedList().isPresent()) {
// handle response
}
}
}
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.goshippo.com/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.goshippo.com/transactions"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.goshippo.com/transactions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'

response = http.request(request)
puts response.read_body
{
  "next": "baseurl?page=3&results=10",
  "previous": "baseurl?page=1&results=10",
  "results": [
    {
      "commercial_invoice_url": "<string>",
      "created_by": {
        "first_name": "Shwan",
        "last_name": "Ippotle",
        "username": "shippotle@shippo.com"
      },
      "eta": "<string>",
      "label_file_type": "PDF_4x6",
      "label_url": "https://shippo-delivery.s3.amazonaws.com/70ae8117ee1749e393f249d5b77c45e0.pdf?Signature=vDw1ltcyGveVR1OQoUDdzC43BY8%3D&Expires=1437093830&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA",
      "messages": [
        {
          "source": "UPS",
          "code": "carrier_timeout",
          "text": "UPS API did not respond. Please try again in a few minutes."
        }
      ],
      "metadata": "<string>",
      "object_created": "2023-11-07T05:31:56Z",
      "object_id": "915d94940ea54c3a80cbfa328722f5a1",
      "object_owner": "shippotle@shippo.com",
      "object_updated": "2023-11-07T05:31:56Z",
      "parcel": "e94c7fdfdc7b495dbb390a28d929d90a",
      "qr_code_url": "https://shippo-delivery.s3.amazonaws.com/96_qr_code.pdf?Signature=PEdWrp0mFWAGwJp7FW3b%2FeA2eyY%3D&Expires=1385930652&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA",
      "rate": {
        "amount": "5.5",
        "amount_local": "5.5",
        "currency": "USD",
        "currency_local": "USD",
        "object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
        "provider": "USPS",
        "carrier_account": "078870331023437cb917f5187429b093",
        "servicelevel_name": "Priority Mail",
        "servicelevel_token": "fedex_ground"
      },
      "status": "SUCCESS",
      "test": true,
      "tracking_number": "9499907123456123456781",
      "tracking_status": "DELIVERED",
      "tracking_url_provider": "https://tools.usps.com/go/TrackConfirmAction_input?origTrackNum=9499907123456123456781"
    }
  ]
}
{}

Authorizations

Authorization
string
header
default:ShippoToken
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Query Parameters

rate
string

Filter by rate ID

object_status
enum<string>

Filter by object status Indicates the status of the Transaction.

Available options:
WAITING,
QUEUED,
SUCCESS,
ERROR,
REFUNDED,
REFUNDPENDING,
REFUNDREJECTED
Example:

"SUCCESS"

tracking_status
enum<string>

Filter by tracking status Indicates the high level status of the shipment.

Available options:
UNKNOWN,
PRE_TRANSIT,
TRANSIT,
DELIVERED,
RETURNED,
FAILURE
Example:

"DELIVERED"

page
integer<int64>
default:1

The page number you want to select

results
integer<int64>
default:25

The number of results to return per page (max 100)

Required range: x <= 100

Response

Paginated list of transactions

next
string
Example:

"baseurl?page=3&results=10"

previous
string
Example:

"baseurl?page=1&results=10"

results
object[]